##
##  kviator.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2018 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_kviator_base 0.0.7
%define       V_kviator_snap 20180203

#   package information
Name:         kviator
Summary:      Distributed Key-Value Store Utility
URL:          https://github.com/AcalephStorage/kviator
Vendor:       Acaleph
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Networking
License:      Apache
Version:      %{V_kviator_base}.%{V_kviator_snap}
Release:      20180203

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/kviator/kviator-%{V_kviator_snap}.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, go
PreReq:       OpenPKG, openpkg >= 20160101, consul

%description
    This is a companion utility to Consul, a service discovery and
    configuration service. It managed the key-values from the CLI.

%track
    prog kviator:release = {
        version   = %{V_kviator_base}
        url       = https://github.com/AcalephStorage/kviator/releases
        regex     = v(__VER__)\.tar\.gz
    }
    prog kviator:snapshot = {
        version   = %{V_kviator_snap}
        url       = http://download.openpkg.org/components/versioned/kviator/
        regex     = kviator-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n kviator

%build
    #   build program
    export GOPATH=`pwd`
    cd src/github.com/AcalephStorage/kviator
    go build -x -o bin/kviator

%install
    #   create directory hierarchy
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin

    #   install program
    %{l_shtool} install -c -s -m 755 \
        src/github.com/AcalephStorage/kviator/bin/kviator \
        $RPM_BUILD_ROOT%{l_prefix}/bin/kviator

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

